//DARS80J7 JOB SIMOTIME,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//* *******************************************************************
//*       DARS80J7.JCL - a JCL Member for Batch Job Processing        *
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2016 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Copy three concatenated data sets into one data set.
//* Author - SimoTime Technologies
//* Date   - January 24, 1996
//*
//* Step 1, DISPOSAL will delete any previously created file.
//* Step 2, DUPE80S2 will create a new concatenated file.
//*
//* This job uses instream sorting specifications.
//*

//* This set of programs will run on a mainframe under ZOS or on a
//* Windows System and Micro Focus Enterprise Server or Studio.
//*
//* 1. Demonstrate how to use IEFBR14 with DD statements to delete
//*    files that have been created by a previous execution of this
//*    job.
//* 2. Demonstrate how to use JCL with concatenated data sets and
//*    a COBOL Program to copy three record sequential file with
//*    eighty (80) byte fixed length records into a single file.
//*
//* *******************************************************************
//* Step 1 of 2, Delete any previously created file...
//*
//DISPOSAL EXEC PGM=IEFBR14
//DATA80P7 DD  DSN=MFSYSMOD.DATA.DATA80P7,DISP=(MOD,DELETE,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=800,DSORG=PS)
//*
//* *******************************************************************
//* Step 2 of 2, DUPE input, create a new concatenated output file...
//*
//DUPE80S2 EXEC PGM=DUPE8080
//STEPLIB  DD  DSN=SIMOTIME.DEMO.LOADLIB1,DISP=SHR
//DUPEGET1 DD  DSN=MFSYSMOD.DATA.DATA80G1,DISP=SHR
//         DD  DSN=MFSYSMOD.DATA.DATA80G2,DISP=SHR
//         DD  DSN=MFSYSMOD.DATA.DATA80G3,DISP=SHR
//DUPEPUT1 DD  DSN=MFSYSMOD.DATA.DATA80P7,
//             DISP=(NEW,CATLG,DELETE),
//             STORCLAS=MFI,
//             SPACE=(TRK,5),
//             DCB=(RECFM=FB,LRECL=80,BLKSIZE=800,DSORG=PS)
//SYSOUT   DD  SYSOUT=*
